Bug 25320 - Move translatable strings out of merge-record-strings.inc into merge-record.js
Summary: Move translatable strings out of merge-record-strings.inc into merge-record.js
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 21156
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-29 18:57 UTC by Owen Leonard
Modified: 2020-11-20 20:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 25320: Move translatable strings out of merge-record-strings.inc into merge-record.js (4.65 KB, patch)
2020-06-18 15:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25320: Move translatable strings out of merge-record-strings.inc into merge-record.js (4.69 KB, patch)
2020-09-23 06:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 25320: Move translatable strings out of merge-record-strings.inc into merge-record.js (4.75 KB, patch)
2020-09-23 20:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25320: (follow-up) Remove obsolete include file (896 bytes, patch)
2020-09-29 11:19 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-29 18:57:17 UTC
Strings which were put in merge-record-strings.inc for translation purposes can now be wrapped in the new translation function and put in merge-record.js.
Comment 1 Owen Leonard 2020-06-18 15:49:12 UTC Comment hidden (obsolete)
Comment 2 David Nind 2020-09-23 06:26:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-09-23 20:32:12 UTC
Created attachment 110627 [details] [review]
Bug 25320: Move translatable strings out of merge-record-strings.inc into merge-record.js

This patch eliminates the use of a separate include file containing
translatable strings in favor of embedding translatable strings in the
JavaScript itself.

To test, apply the patch and clear your browser cache if necessary.

 - Perform a catalog search in the staff interface.
 - Select two results to merge. Click Edit -> Merge records.
 - Click "Next" on the "Merging records" page.
 - On the "Source records" page click the second tab where all the
   checkboxes are unchecked.
   - Check the box for a tag which is non-repeatable, e.g. 245.
     - You should see a message, "The field is non-repeatable and
       already exists in the destination record. Therefore, you cannot add it."
   - Check the box for a subfield which is non-repeatable, e.g. 245$a.
     - You should see a message, "The subfield is non-repeatable and
       already exists in the destination record. Therefore, you cannot
       add it."

TESTING TRANSLATABILITY

 - Update a translation, e.g. fr-FR:

   > cd misc/translator
   > perl translate update fr-FR

 - Open the corresponding .po file for JavaScript strings, e.g.
   misc/translator/po/fr-FR-messages-js.po
 - Locate strings pulled from prog/js/merge-record.js for
   translation, e.g.:

   #: koha-tmpl/intranet-tmpl/prog/js/merge-record.js:72
   msgctxt "Bibliographic record"
   msgid ""
   "The field is non-repeatable and already exists in the destination
   record. "
   "Therefore, you cannot add it."
   msgstr ""

 - Edit the "msgstr" string however you want (it's just for testing).
 - Install the updated translation:

   > perl translate install fr-FR

 - Switch to your newly translated language in the staff client and
   repeat the test plan above. The translated string should appear.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-29 08:45:04 UTC
Include file still used in authorities/merge.tt

koha-tmpl/intranet-tmpl/prog/en/modules/authorities/merge.tt:    [% INCLUDE 'merge-record-strings.inc' %]
Comment 5 Owen Leonard 2020-09-29 11:19:54 UTC
Created attachment 110901 [details] [review]
Bug 25320: (follow-up) Remove obsolete include file
Comment 6 Jonathan Druart 2020-09-29 12:29:55 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-20 17:25:35 UTC
backported to 20.05.x for 20.05.05
Comment 8 Aleisha Amohia 2020-10-27 04:29:45 UTC
enhancement, not backported to 19.11.x